Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.interceptors
Interface InterceptorMBean

All Known Subinterfaces:
  ActivationInterceptorMBean, CacheLoaderInterceptorMBean, CacheMgmtInterceptorMBean, CacheStoreInterceptorMBean, InvalidationInterceptorMBean, PassivationInterceptorMBean, TxInterceptorMBean

All Known Implementing Classes:
  ActivationInterceptor, BaseCacheLoaderInterceptor, BaseInterceptor, BaseRpcInterceptor, CacheLoaderInterceptor, CacheMgmtInterceptor, CacheStoreInterceptor, CallInterceptor, CreateIfNotExistsInterceptor, DataGravitatorInterceptor, EvictionInterceptor, Interceptor, InvalidationInterceptor, OptimisticCreateIfNotExistsInterceptor, OptimisticInterceptor, OptimisticLockingInterceptor, OptimisticNodeInterceptor, OptimisticReplicationInterceptor, OptimisticValidatorInterceptor, PassivationInterceptor, PessimisticLockInterceptor, PojoEvictionInterceptor, ReplicationInterceptor, TxInterceptor, UnlockInterceptor

    public interface InterceptorMBean

Interface containing common cache management operations

Version:
  $Id: InterceptorMBean.java,v 1.1 2005/12/23 21:01:40 jerrygauth Exp $
Author:
  Jerry Gauthier

Method Summary
`java.util.Map` | `dumpStatistics()` Returns a map of the cache interceptor's statistics Map elements consist of {String name, Object value} entries
`boolean` | `getStatisticsEnabled()` Returns whether an interceptor's statistics are being captured.
`void` | `resetStatistics()` Resets an interceptor's cache statistics
`void` | `setStatisticsEnabled(boolean enabled)` Enables an interceptor's cache statistics If true, the interceptor will capture statistics and make them available through the mbean.

Method Detail

### getStatisticsEnabled

    boolean getStatisticsEnabled()

  Returns whether an interceptor's statistics are being captured.

  Returns:
    true if statistics are captured

### setStatisticsEnabled

    void setStatisticsEnabled(boolean enabled)

  Enables an interceptor's cache statistics If true, the interceptor will capture statistics and make them available through the mbean.

  Parameters:
    `enabled` - true if statistics should be captured

### dumpStatistics

    java.util.Map dumpStatistics()

  Returns a map of the cache interceptor's statistics Map elements consist of {String name, Object value} entries

  Returns:
    a map containing statistics

### resetStatistics

    void resetStatistics()

  Resets an interceptor's cache statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.